Skip to main content
PATCH
Update list by Id

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
string
required

Id of the list that is updated.

Example:

"62fa3796841ea417fa71d2a9"

Body

application/json

List details

name
string
required
Example:

"Wishlist"

userId
string
required
Example:

null

listId
string
Example:

"5349b4ddd2781d08c09890f4"

listType
string
Example:

"Wish list"

notes
string
Example:

"Add items to your wishlist to purchase later"

attributes
object
Example:
count
integer<int32>

Number of items added to the list.

Required range: x >= 0
Example:

0

createdAt
string<date-time>
updatedAt
string<date-time>

Response

List object Updated

List details

name
string
required
Example:

"Wishlist"

userId
string
required
Example:

null

listId
string
Example:

"5349b4ddd2781d08c09890f4"

listType
string
Example:

"Wish list"

notes
string
Example:

"Add items to your wishlist to purchase later"

attributes
object
Example:
count
integer<int32>

Number of items added to the list.

Required range: x >= 0
Example:

0

createdAt
string<date-time>
updatedAt
string<date-time>